#ifndef MAX7219_H
#define	MAX7219_H
//------------------------Dot Matrix LED  Driver--------------------------------
#include <string.h>
#include "Soft_SPI.h"
#include "MAX7219_Prototypes.h"
//------------------------------------------------------------------------------
void MAX7219_init()
{
  SPI_init();
  
  MAX7219_write(DECODE_MODE_REG,DECODE_ALL);    
  MAX7219_write(INTESITY_REG,BRIGHTNESS);     
  MAX7219_write(SCAN_LIMIT_REG,SCAN_ALL_DIGITS);     
  MAX7219_write(SHUTDOWN_REG,NORMAL_OPERATION);
  MAX7219_write(DISPLAY_TEST_REG,ENABLE_TEST_MODE);
  MAX7219_write(DISPLAY_TEST_REG,DISABLE_TEST_MODE);
}
//------------------------------------------------------------------------------
void MAX7219_write(char addres,char data)
{
  CS = 0; 
  
  SPI_write(addres); 
  SPI_write(data); 
  
  CS = 1;
}
//------------------------------------------------------------------------------
void MAX7219_displayNum(char strNum[])
{   
  char digitReg = 0;

  while(*strNum)
  { 
    char digit = (*strNum++) - '0';          
    MAX7219_write(++digitReg,digit);
  }
}
//------------------------------------------------------------------------------
#endif	