#ifndef TIME_H
#define	TIME_H
//-----------------------Change BCD time to Decimal-----------------------------
unsigned char get_DecTime(unsigned char time)
{   
  return ((time >> 4) * 10) + (time & 0x0F);  
}
//-----------------------Change Decimal time to BCD-----------------------------
unsigned char get_BCDTime(unsigned char time)
{
  return ((time / 10) << 4) + (time % 10);
}
//------------------------------------------------------------------------------
char* get_fullTimeStr(char tm[])
{
  char time[8];
  
  sprintf(time,"%02d%02d%02d",tm[2],tm[1],tm[0]); 
  
  return time; 
}
//------------------------------------------------------------------------------
char* get_fullDateStr(char tm[])
{
  char date[8];
  
  sprintf(date,"%02d%02d%02d",tm[4],tm[5],tm[6]); 
  
  return date; 
}
//------------------------------------------------------------------------------
#endif